<?

//-------------------------------fim da autenticação---------------------//

    include("authentication.php");

	include("conexao.php");

    require("funcoes.php");

	$id_usuario = $_SESSION["id_usuario"];

	$login =  $_SESSION["login"];  

//-------------------------------fim da autenticação---------------------//

$num_elem = 0;

foreach($_POST as $nome_campo => $v2){ 

   $comando = "\$" . $nome_campo . "='" . $v2 . "';"; 

   eval($comando); 

$n1 = count($v2);

 $numero_ = explode("_", $nome_campo);

                      $campo = $numero_[0]; 

                      $cod_igo = $numero_[1];                      





if($nome_campo=="ordem_".$cod_igo){

$codc = $cod_igo;

$codigo_item = $v2; 

}



if($nome_campo!="Submit" and $codigo_item!="") {

//echo $nome_campo." | ".$codc." -=- ".$codigo_item." -m- ".$comando."<br>";



$result = mysqli_query($conexao,"UPDATE baners SET 

  ordem='".valida_caracteres($codigo_item)."'

  where id='".valida_caracteres($codc)."'") or die("erro update ".$result.mysqli_error($conexao)); 

  

  $num_elem = $num_elem + 1;            

}





}

 savelog($login, "Alterou dados do Evento com o código: $_POST[id_tcomp] - $_POST[evento].");

 $alerta = $num_elem;

?>

<html>

<head>

<meta http-equiv="Pragma" content="no-cache">

<meta http-equiv="Expires" content="-1">

<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">

<title><? echo $empresa; ?></title>

<meta name="Description" content="">

<meta name="Author" content="Marcos Antonio Pereira Lopes">



<script language="JavaScript">

<!--

function Redireciona(){

 alert("<? echo $alerta; ?>");

 open('ordena_baners.php', '_top');

}

-->

</script>





</head>



<body onLoad="JavaScript:Redireciona()">

</body>

</html>